> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fastino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Use https://docs.fastino.ai/openapi.json as the source of truth for customer-facing Fastino API routes. Only call operations present in that specification. Do not infer or call undocumented routes. Direct Fastino API integrations use https://api.fastino.ai, /v1 routes, and FASTINO_API_KEY.

# Listar trabajos de entrenamiento

> Lista y filtra los trabajos de entrenamiento de Fastino.

Devuelve los trabajos de entrenamiento visibles para la cuenta autenticada.

## Solicitud

<ParamField header="X-API-Key" type="string" required>
  Tu clave de API de Fastino.
</ParamField>

<ParamField query="status" type="string">
  Filtra por el estado persistido del trabajo.
</ParamField>

<ParamField query="project_id" type="string">
  Filtra por ID de proyecto.
</ParamField>

<ParamField query="limit" type="integer" default="200">
  Tamaño de página, de `1` a `200`.
</ParamField>

<ParamField query="offset" type="integer" default="0">
  Número de trabajos coincidentes a omitir.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.fastino.ai/v1/training-jobs?status=complete&limit=50&offset=0" \
    -H "X-API-Key: $FASTINO_API_KEY"
  ```
</RequestExample>

## Respuesta

<ResponseField name="success" type="boolean">
  Si la solicitud tuvo éxito.
</ResponseField>

<ResponseField name="training_jobs" type="object[]">
  Registros de trabajos de entrenamiento de esta página.
</ResponseField>

<ResponseField name="count" type="integer">
  Número de trabajos en esta página.
</ResponseField>

<ResponseField name="total" type="integer">
  Número total de trabajos coincidentes antes de la paginación.
</ResponseField>

<ResponseField name="has_more" type="boolean">
  Si existe otra página después de esta.
</ResponseField>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "training_jobs": [],
    "count": 0,
    "total": 0,
    "has_more": false
  }
  ```
</ResponseExample>

Valores de paginación inválidos devuelven `422`.
